- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::TransposeMatrixSpace Class Reference

This is the matrix space for TransposeMatrix. More...

`#include <IpTransposeMatrix.hpp>`

Inheritance diagram for Ipopt::TransposeMatrixSpace:

[legend]
Collaboration diagram for Ipopt::TransposeMatrixSpace:

[legend]
List of all members.

## Public Member Functions
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class.
TransposeMatrix * | MakeNewTransposeMatrix () const
| Method for creating a new matrix of this specific type.
Matrix * | MakeNewOrigMatrix () const
Constructors / Destructors
| TransposeMatrixSpace (const MatrixSpace *orig_matrix_space)
| Constructor, given the dimension of the matrix.
virtual | ~TransposeMatrixSpace ()
| Destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| TransposeMatrixSpace ()
| Default Constructor.
| TransposeMatrixSpace (const TransposeMatrixSpace &)
| Copy Constructor.
void | operator= (const TransposeMatrixSpace &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< const MatrixSpace > | orig_matrix_space_
| Matrix space of the original matrix.

## Detailed Description

This is the matrix space for TransposeMatrix.

Definition at line 113 of file IpTransposeMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::TransposeMatrixSpace::TransposeMatrixSpace | ( | const MatrixSpace * | orig_matrix_space | ) | `[inline]`

Constructor, given the dimension of the matrix.

Definition at line 119 of file IpTransposeMatrix.hpp.

virtual Ipopt::TransposeMatrixSpace::~TransposeMatrixSpace | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 126 of file IpTransposeMatrix.hpp.

Ipopt::TransposeMatrixSpace::TransposeMatrixSpace | ( |  | ) | `[private]`

Default Constructor.

Ipopt::TransposeMatrixSpace::TransposeMatrixSpace | ( | const TransposeMatrixSpace & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual Matrix* Ipopt::TransposeMatrixSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 132 of file IpTransposeMatrix.hpp.

References MakeNewTransposeMatrix().

TransposeMatrix* Ipopt::TransposeMatrixSpace::MakeNewTransposeMatrix | ( |  | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 138 of file IpTransposeMatrix.hpp.

Referenced by MakeNew().

Matrix* Ipopt::TransposeMatrixSpace::MakeNewOrigMatrix | ( |  | ) | const`[inline]`

Definition at line 143 of file IpTransposeMatrix.hpp.

References orig_matrix_space_.

void Ipopt::TransposeMatrixSpace::operator= | ( | const TransposeMatrixSpace & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<const MatrixSpace> Ipopt::TransposeMatrixSpace::orig_matrix_space_`[private]`

Matrix space of the original matrix.

Definition at line 168 of file IpTransposeMatrix.hpp.

Referenced by MakeNewOrigMatrix().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/LinAlg/IpTransposeMatrix.hpp